uuid: 72ad487b-2fad-4b4b-8ab5-349940baa6b8
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.column_teaser
    - field.field.node.event.field_abstract
    - field.field.node.event.field_associated_program
    - field.field.node.event.field_banner_image
    - field.field.node.event.field_event_date
    - field.field.node.event.field_event_end_date
    - field.field.node.event.field_event_location
    - field.field.node.event.field_event_subtype
    - field.field.node.event.field_event_type
    - field.field.node.event.field_exclude_from_search
    - field.field.node.event.field_feature_event_image
    - field.field.node.event.field_featured
    - field.field.node.event.field_meta_tags
    - field.field.node.event.field_rich_text
    - field.field.node.event.field_social_media_image
    - node.type.event
  module:
    - datetime
    - smart_trim
    - svg_image
    - user
id: node.event.column_teaser
targetEntityType: node
bundle: event
mode: column_teaser
content:
  content_moderation_control:
    settings: {  }
    third_party_settings: {  }
    weight: -20
    region: content
  field_abstract:
    type: basic_string
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 5
    region: content
  field_event_date:
    type: datetime_default
    label: hidden
    settings:
      timezone_override: ''
      format_type: html_datetime
    third_party_settings: {  }
    weight: 0
    region: content
  field_event_location:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 1
    region: content
  field_event_type:
    type: entity_reference_label
    label: hidden
    settings:
      link: false
    third_party_settings: {  }
    weight: 3
    region: content
  field_feature_event_image:
    type: image
    label: hidden
    settings:
      image_link: ''
      image_style: ''
      image_loading:
        attribute: lazy
      svg_attributes:
        width: null
        height: null
      svg_render_as_image: true
    third_party_settings: {  }
    weight: 4
    region: content
  field_rich_text:
    type: smart_trim
    label: hidden
    settings:
      trim_length: 160
      trim_type: chars
      trim_suffix: ''
      wrap_output: false
      wrap_class: trimmed
      more:
        display_link: false
        target_blank: false
        link_trim_only: false
        class: more-link
        text: More
        aria_label: 'Read more about [node:title]'
      summary_handler: full
      trim_options:
        text: true
        trim_zero: false
    third_party_settings: {  }
    weight: 2
    region: content
hidden:
  addtoany: true
  field_associated_program: true
  field_banner_image: true
  field_event_end_date: true
  field_event_subtype: true
  field_exclude_from_search: true
  field_featured: true
  field_meta_tags: true
  field_social_media_image: true
  links: true
  search_api_excerpt: true
